Index: include/class.reminder.php
===================================================================
--- include/class.reminder.php	(revision 3164)
+++ include/class.reminder.php	(working copy)
@@ -448,8 +448,6 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  (
@@ -460,10 +458,10 @@
                     rem_skip_weekend
                  ) VALUES (
                     '" . Date_API::getCurrentDateGMT() . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS['rank']) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS['title']) . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS['project']) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS['skip_weekend']) . "
+                    " . Misc::escapeInteger($_POST['rank']) . ",
+                    '" . Misc::escapeString($_POST['title']) . "',
+                    " . Misc::escapeInteger($_POST['project']) . ",
+                    " . Misc::escapeInteger($_POST['skip_weekend']) . "
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -472,24 +470,24 @@
         } else {
             $new_rem_id = $GLOBALS["db_api"]->get_last_insert_id();
             // map the reminder requirements now
-            if ((@$HTTP_POST_VARS['reminder_type'] == 'support_level') && (count($HTTP_POST_VARS['support_levels']) > 0)) {
-                for ($i = 0; $i < count($HTTP_POST_VARS['support_levels']); $i++) {
-                    Reminder::addSupportLevelAssociation($new_rem_id, $HTTP_POST_VARS['support_levels'][$i]);
+            if ((@$_POST['reminder_type'] == 'support_level') && (count($_POST['support_levels']) > 0)) {
+                for ($i = 0; $i < count($_POST['support_levels']); $i++) {
+                    Reminder::addSupportLevelAssociation($new_rem_id, $_POST['support_levels'][$i]);
                 }
-            } elseif ((@$HTTP_POST_VARS['reminder_type'] == 'issue') && (count($HTTP_POST_VARS['issues']) > 0)) {
-                for ($i = 0; $i < count($HTTP_POST_VARS['issues']); $i++) {
-                    Reminder::addIssueAssociation($new_rem_id, $HTTP_POST_VARS['issues'][$i]);
+            } elseif ((@$_POST['reminder_type'] == 'issue') && (count($_POST['issues']) > 0)) {
+                for ($i = 0; $i < count($_POST['issues']); $i++) {
+                    Reminder::addIssueAssociation($new_rem_id, $_POST['issues'][$i]);
                 }
-            } elseif ((@$HTTP_POST_VARS['reminder_type'] == 'customer') && (count($HTTP_POST_VARS['customers']) > 0)) {
-                for ($i = 0; $i < count($HTTP_POST_VARS['customers']); $i++) {
-                    Reminder::addCustomerAssociation($new_rem_id, $HTTP_POST_VARS['customers'][$i]);
+            } elseif ((@$_POST['reminder_type'] == 'customer') && (count($_POST['customers']) > 0)) {
+                for ($i = 0; $i < count($_POST['customers']); $i++) {
+                    Reminder::addCustomerAssociation($new_rem_id, $_POST['customers'][$i]);
                 }
-            } elseif (@$HTTP_POST_VARS['reminder_type'] == 'all_issues') {
+            } elseif (@$_POST['reminder_type'] == 'all_issues') {
                  Reminder::associateAllIssues($new_rem_id);
             }
-            if ((@$HTTP_POST_VARS['check_priority'] == 'yes') && (count($HTTP_POST_VARS['priorities']) > 0)) {
-                for ($i = 0; $i < count($HTTP_POST_VARS['priorities']); $i++) {
-                    Reminder::addPriorityAssociation($new_rem_id, $HTTP_POST_VARS['priorities'][$i]);
+            if ((@$_POST['check_priority'] == 'yes') && (count($_POST['priorities']) > 0)) {
+                for ($i = 0; $i < count($_POST['priorities']); $i++) {
+                    Reminder::addPriorityAssociation($new_rem_id, $_POST['priorities'][$i]);
                 }
             }
             return 1;
@@ -505,43 +503,41 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  SET
                     rem_last_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    rem_rank=" . Misc::escapeInteger($HTTP_POST_VARS['rank']) . ",
-                    rem_title='" . Misc::escapeString($HTTP_POST_VARS['title']) . "',
-                    rem_prj_id=" . Misc::escapeInteger($HTTP_POST_VARS['project']) . ",
-                    rem_skip_weekend=" . Misc::escapeInteger($HTTP_POST_VARS['skip_weekend']) . "
+                    rem_rank=" . Misc::escapeInteger($_POST['rank']) . ",
+                    rem_title='" . Misc::escapeString($_POST['title']) . "',
+                    rem_prj_id=" . Misc::escapeInteger($_POST['project']) . ",
+                    rem_skip_weekend=" . Misc::escapeInteger($_POST['skip_weekend']) . "
                  WHERE
-                    rem_id=" . Misc::escapeInteger($HTTP_POST_VARS['id']);
+                    rem_id=" . Misc::escapeInteger($_POST['id']);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
-            Reminder::removeAllAssociations($HTTP_POST_VARS['id']);
+            Reminder::removeAllAssociations($_POST['id']);
             // map the reminder requirements now
-            if ((@$HTTP_POST_VARS['reminder_type'] == 'support_level') && (count($HTTP_POST_VARS['support_levels']) > 0)) {
-                for ($i = 0; $i < count($HTTP_POST_VARS['support_levels']); $i++) {
-                    Reminder::addSupportLevelAssociation($HTTP_POST_VARS['id'], $HTTP_POST_VARS['support_levels'][$i]);
+            if ((@$_POST['reminder_type'] == 'support_level') && (count($_POST['support_levels']) > 0)) {
+                for ($i = 0; $i < count($_POST['support_levels']); $i++) {
+                    Reminder::addSupportLevelAssociation($_POST['id'], $_POST['support_levels'][$i]);
                 }
-            } elseif ((@$HTTP_POST_VARS['reminder_type'] == 'issue') && (count($HTTP_POST_VARS['issues']) > 0)) {
-                for ($i = 0; $i < count($HTTP_POST_VARS['issues']); $i++) {
-                    Reminder::addIssueAssociation($HTTP_POST_VARS['id'], $HTTP_POST_VARS['issues'][$i]);
+            } elseif ((@$_POST['reminder_type'] == 'issue') && (count($_POST['issues']) > 0)) {
+                for ($i = 0; $i < count($_POST['issues']); $i++) {
+                    Reminder::addIssueAssociation($_POST['id'], $_POST['issues'][$i]);
                 }
-            } elseif ((@$HTTP_POST_VARS['reminder_type'] == 'customer') && (count($HTTP_POST_VARS['customers']) > 0)) {
-                for ($i = 0; $i < count($HTTP_POST_VARS['customers']); $i++) {
-                    Reminder::addCustomerAssociation($HTTP_POST_VARS['id'], $HTTP_POST_VARS['customers'][$i]);
+            } elseif ((@$_POST['reminder_type'] == 'customer') && (count($_POST['customers']) > 0)) {
+                for ($i = 0; $i < count($_POST['customers']); $i++) {
+                    Reminder::addCustomerAssociation($_POST['id'], $_POST['customers'][$i]);
                 }
-            } elseif (@$HTTP_POST_VARS['reminder_type'] == 'all_issues') {
-                 Reminder::associateAllIssues($HTTP_POST_VARS['id']);
+            } elseif (@$_POST['reminder_type'] == 'all_issues') {
+                 Reminder::associateAllIssues($_POST['id']);
             }
-            if ((@$HTTP_POST_VARS['check_priority'] == 'yes') && (count($HTTP_POST_VARS['priorities']) > 0)) {
-                for ($i = 0; $i < count($HTTP_POST_VARS['priorities']); $i++) {
-                    Reminder::addPriorityAssociation($HTTP_POST_VARS['id'], $HTTP_POST_VARS['priorities'][$i]);
+            if ((@$_POST['check_priority'] == 'yes') && (count($_POST['priorities']) > 0)) {
+                for ($i = 0; $i < count($_POST['priorities']); $i++) {
+                    Reminder::addPriorityAssociation($_POST['id'], $_POST['priorities'][$i]);
                 }
             }
             return 1;
@@ -558,9 +554,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level
                  WHERE
@@ -570,7 +564,7 @@
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
         } else {
-            Reminder::removeAllAssociations($HTTP_POST_VARS["items"]);
+            Reminder::removeAllAssociations($_POST["items"]);
             $stmt = "SELECT
                         rma_id
                      FROM
@@ -903,4 +897,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Reminder Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.faq.php
===================================================================
--- include/class.faq.php	(revision 3164)
+++ include/class.faq.php	(working copy)
@@ -89,9 +89,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq
                  WHERE
@@ -101,7 +99,7 @@
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
         } else {
-            FAQ::removeSupportLevelAssociations($HTTP_POST_VARS['items']);
+            FAQ::removeSupportLevelAssociations($_POST['items']);
             return true;
         }
     }
@@ -144,36 +142,34 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        $HTTP_POST_VARS['id'] = Misc::escapeInteger($HTTP_POST_VARS['id']);
+        $_POST['id'] = Misc::escapeInteger($_POST['id']);
         
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
-        if (Validation::isWhitespace($HTTP_POST_VARS["message"])) {
+        if (Validation::isWhitespace($_POST["message"])) {
             return -3;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq
                  SET
-                    faq_prj_id=" . $HTTP_POST_VARS['project'] . ",
+                    faq_prj_id=" . $_POST['project'] . ",
                     faq_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    faq_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    faq_message='" . Misc::escapeString($HTTP_POST_VARS["message"]) . "',
-                    faq_rank=" . $HTTP_POST_VARS['rank'] . "
+                    faq_title='" . Misc::escapeString($_POST["title"]) . "',
+                    faq_message='" . Misc::escapeString($_POST["message"]) . "',
+                    faq_rank=" . $_POST['rank'] . "
                  WHERE
-                    faq_id=" . $HTTP_POST_VARS["id"];
+                    faq_id=" . $_POST["id"];
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
             // remove all of the associations with support levels, then add them all again
-            FAQ::removeSupportLevelAssociations($HTTP_POST_VARS['id']);
-            if (Customer::doesBackendUseSupportLevels($HTTP_POST_VARS['project'])) {
-                foreach ($HTTP_POST_VARS['support_levels'] as $support_level_id) {
-                    FAQ::addSupportLevelAssociation($HTTP_POST_VARS['id'], $support_level_id);
+            FAQ::removeSupportLevelAssociations($_POST['id']);
+            if (Customer::doesBackendUseSupportLevels($_POST['project'])) {
+                foreach ($_POST['support_levels'] as $support_level_id) {
+                    FAQ::addSupportLevelAssociation($_POST['id'], $support_level_id);
                 }
             }
             return 1;
@@ -189,12 +185,10 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
-        if (Validation::isWhitespace($HTTP_POST_VARS["message"])) {
+        if (Validation::isWhitespace($_POST["message"])) {
             return -3;
         }
         $stmt = "INSERT INTO
@@ -207,12 +201,12 @@
                     faq_message,
                     faq_rank
                  ) VALUES (
-                    " . $HTTP_POST_VARS['project'] . ",
+                    " . $_POST['project'] . ",
                     " . Auth::getUserID() . ",
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["message"]) . "',
-                    " . $HTTP_POST_VARS['rank'] . "
+                    '" . Misc::escapeString($_POST["title"]) . "',
+                    '" . Misc::escapeString($_POST["message"]) . "',
+                    " . $_POST['rank'] . "
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -220,9 +214,9 @@
             return -1;
         } else {
             $new_faq_id = $GLOBALS["db_api"]->get_last_insert_id();
-            if (Customer::doesBackendUseSupportLevels(Misc::escapeInteger($HTTP_POST_VARS['project']))) {
+            if (Customer::doesBackendUseSupportLevels(Misc::escapeInteger($_POST['project']))) {
                 // now populate the faq-support level mapping table
-                foreach ($HTTP_POST_VARS['support_levels'] as $support_level_id) {
+                foreach ($_POST['support_levels'] as $support_level_id) {
                     FAQ::addSupportLevelAssociation($new_faq_id, $support_level_id);
                 }
             }
@@ -432,4 +426,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included FAQ Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.category.php
===================================================================
--- include/class.category.php	(revision 3164)
+++ include/class.category.php	(working copy)
@@ -100,9 +100,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_category
                  WHERE
@@ -127,18 +125,16 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_category
                  SET
-                    prc_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "'
+                    prc_title='" . Misc::escapeString($_POST["title"]) . "'
                  WHERE
-                    prc_prj_id=" . Misc::escapeInteger($HTTP_POST_VARS["prj_id"]) . " AND
-                    prc_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    prc_prj_id=" . Misc::escapeInteger($_POST["prj_id"]) . " AND
+                    prc_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -157,9 +153,7 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "INSERT INTO
@@ -168,8 +162,8 @@
                     prc_prj_id,
                     prc_title
                  ) VALUES (
-                    " . Misc::escapeInteger($HTTP_POST_VARS["prj_id"]) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "'
+                    " . Misc::escapeInteger($_POST["prj_id"]) . ",
+                    '" . Misc::escapeString($_POST["title"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -275,4 +269,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Category Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.prefs.php
===================================================================
--- include/class.prefs.php	(revision 3164)
+++ include/class.prefs.php	(working copy)
@@ -120,23 +120,21 @@
      */
     function set($usr_id)
     {
-        global $HTTP_POST_VARS, $HTTP_POST_FILES;
-
         // if the user is trying to upload a new signature, override any changes to the textarea
-        if (!empty($HTTP_POST_FILES["file_signature"]["name"])) {
-            $HTTP_POST_VARS['signature'] = Misc::getFileContents($HTTP_POST_FILES["file_signature"]["tmp_name"]);
+        if (!empty($_FILES["file_signature"]["name"])) {
+            $_POST['signature'] = Misc::getFileContents($_FILES["file_signature"]["tmp_name"]);
         }
 
         $data = serialize(array(
-            'close_popup_windows'     => $HTTP_POST_VARS['close_popup_windows'],
-            'receive_assigned_emails' => $HTTP_POST_VARS['receive_assigned_emails'],
-            'receive_new_emails'      => @$HTTP_POST_VARS['receive_new_emails'],
-            'timezone'                => $HTTP_POST_VARS['timezone'],
-            'list_refresh_rate'       => $HTTP_POST_VARS['list_refresh_rate'],
-            'emails_refresh_rate'     => $HTTP_POST_VARS['emails_refresh_rate'],
-            'email_signature'         => @$HTTP_POST_VARS['signature'],
-            'auto_append_sig'         => @$HTTP_POST_VARS['auto_append_sig'],
-            'auto_append_note_sig'    => @$HTTP_POST_VARS['auto_append_note_sig']
+            'close_popup_windows'     => $_POST['close_popup_windows'],
+            'receive_assigned_emails' => $_POST['receive_assigned_emails'],
+            'receive_new_emails'      => @$_POST['receive_new_emails'],
+            'timezone'                => $_POST['timezone'],
+            'list_refresh_rate'       => $_POST['list_refresh_rate'],
+            'emails_refresh_rate'     => $_POST['emails_refresh_rate'],
+            'email_signature'         => @$_POST['signature'],
+            'auto_append_sig'         => @$_POST['auto_append_sig'],
+            'auto_append_note_sig'    => @$_POST['auto_append_note_sig']
         ));
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "user
@@ -158,4 +156,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Prefs Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/workflow/class.example.php
===================================================================
--- include/workflow/class.example.php	(revision 3164)
+++ include/workflow/class.example.php	(working copy)
@@ -43,7 +43,7 @@
      * @param integer $issue_id The ID of the issue.
      * @param integer $usr_id The ID of the user.
      * @param array $old_details The old details of the issues.
-     * @param array $changes The changes that were applied to this issue (the $HTTP_POST_VARS)
+     * @param array $changes The changes that were applied to this issue (the $_POST)
      */
     function handleIssueUpdated($prj_id, $issue_id, $usr_id, $old_details, $changes)
     {
@@ -84,7 +84,7 @@
      * @param   integer $issue_id The ID of the issue.
      * @param   integer $usr_id The id of the user who locked the issue.
      * @param   array $old_details The old details of the issue.
-     * @param   array $changes The changes that were applied to this issue (the $HTTP_POST_VARS)
+     * @param   array $changes The changes that were applied to this issue (the $_POST)
      */
     function handlePriorityChange($prj_id, $issue_id, $usr_id, $old_details, $changes)
     {
Index: include/workflow/class.abstract_workflow_backend.php
===================================================================
--- include/workflow/class.abstract_workflow_backend.php	(revision 3164)
+++ include/workflow/class.abstract_workflow_backend.php	(working copy)
@@ -41,7 +41,7 @@
      * @param integer $issue_id The ID of the issue.
      * @param integer $usr_id The ID of the user.
      * @param array $old_details The old details of the issues.
-     * @param array $changes The changes that were applied to this issue (the $HTTP_POST_VARS)
+     * @param array $changes The changes that were applied to this issue (the $_POST)
      */
     function handleIssueUpdated($prj_id, $issue_id, $usr_id, $old_details, $changes)
     {
@@ -79,7 +79,7 @@
      * @param   integer $issue_id The ID of the issue.
      * @param   integer $usr_id The id of the user who locked the issue.
      * @param   array $old_details The old details of the issue.
-     * @param   array $changes The changes that were applied to this issue (the $HTTP_POST_VARS)
+     * @param   array $changes The changes that were applied to this issue (the $_POST)
      */
     function handlePriorityChange($prj_id, $issue_id, $usr_id, $old_details, $changes)
     {
Index: include/class.time_tracking.php
===================================================================
--- include/class.time_tracking.php	(revision 3164)
+++ include/class.time_tracking.php	(working copy)
@@ -105,9 +105,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking_category
                  WHERE
@@ -130,17 +128,15 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking_category
                  SET
-                    ttc_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "'
+                    ttc_title='" . Misc::escapeString($_POST["title"]) . "'
                  WHERE
-                    ttc_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    ttc_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -159,9 +155,7 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "INSERT INTO
@@ -170,7 +164,7 @@
                     ttc_title,
                     ttc_created_date
                  ) VALUES (
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
+                    '" . Misc::escapeString($_POST["title"]) . "',
                     '" . Date_API::getCurrentDateGMT() . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -422,14 +416,12 @@
      */
     function insertEntry()
     {
-        global $HTTP_POST_VARS;
-
-        if (!empty($HTTP_POST_VARS["date"])) {
+        if (!empty($_POST["date"])) {
             // format the date from the form
             $created_date = sprintf('%04d-%02d-%02d %02d:%02d:%02d',
-                $HTTP_POST_VARS["date"]["Year"], $HTTP_POST_VARS["date"]["Month"],
-                $HTTP_POST_VARS["date"]["Day"], $HTTP_POST_VARS["date"]["Hour"],
-                $HTTP_POST_VARS["date"]["Minute"], 0);
+                $_POST["date"]["Year"], $_POST["date"]["Month"],
+                $_POST["date"]["Day"], $_POST["date"]["Hour"],
+                $_POST["date"]["Minute"], 0);
             // convert the date to GMT timezone
             $created_date = Date_API::getDateGMT($created_date);
         } else {
@@ -446,21 +438,21 @@
                     ttr_time_spent,
                     ttr_summary
                  ) VALUES (
-                    " . $HTTP_POST_VARS["category"] . ",
-                    " . $HTTP_POST_VARS["issue_id"] . ",
+                    " . $_POST["category"] . ",
+                    " . $_POST["issue_id"] . ",
                     $usr_id,
                     '$created_date',
-                    " . Misc::escapeInteger($HTTP_POST_VARS["time_spent"]) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS["summary"]) . "'
+                    " . Misc::escapeInteger($_POST["time_spent"]) . ",
+                    '" . Misc::escapeString($_POST["summary"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
-            Issue::markAsUpdated($HTTP_POST_VARS["issue_id"], 'time added');
+            Issue::markAsUpdated($_POST["issue_id"], 'time added');
             // need to save a history entry for this
-            History::add($HTTP_POST_VARS["issue_id"], $usr_id, History::getTypeID('time_added'), ev_gettext('Time tracking entry submitted by %1$s', User::getFullName($usr_id)));
+            History::add($_POST["issue_id"], $usr_id, History::getTypeID('time_added'), ev_gettext('Time tracking entry submitted by %1$s', User::getFullName($usr_id)));
             return 1;
         }
     }
Index: include/class.round_robin.php
===================================================================
--- include/class.round_robin.php	(revision 3164)
+++ include/class.round_robin.php	(working copy)
@@ -307,10 +307,8 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        $blackout_start = $HTTP_POST_VARS['blackout_start']['Hour'] . ':' . $HTTP_POST_VARS['blackout_start']['Minute'] . ':00';
-        $blackout_end = $HTTP_POST_VARS['blackout_end']['Hour'] . ':' . $HTTP_POST_VARS['blackout_end']['Minute'] . ':00';
+        $blackout_start = $_POST['blackout_start']['Hour'] . ':' . $_POST['blackout_start']['Minute'] . ':00';
+        $blackout_end = $_POST['blackout_end']['Hour'] . ':' . $_POST['blackout_end']['Minute'] . ':00';
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_round_robin
                  (
@@ -318,7 +316,7 @@
                     prr_blackout_start,
                     prr_blackout_end
                  ) VALUES (
-                    " . Misc::escapeInteger($HTTP_POST_VARS["project"]) . ",
+                    " . Misc::escapeInteger($_POST["project"]) . ",
                     '" . Misc::escapeString($blackout_start) . "',
                     '" . Misc::escapeString($blackout_end) . "'
                  )";
@@ -329,7 +327,7 @@
         } else {
             $new_id = $GLOBALS["db_api"]->get_last_insert_id();
             // add all of the user associated with this round robin entry
-            foreach ($HTTP_POST_VARS['users'] as $usr_id) {
+            foreach ($_POST['users'] as $usr_id) {
                 Round_Robin::addUserAssociation($new_id, $usr_id);
             }
             return 1;
@@ -467,27 +465,25 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        $blackout_start = $HTTP_POST_VARS['blackout_start']['Hour'] . ':' . $HTTP_POST_VARS['blackout_start']['Minute'] . ':00';
-        $blackout_end = $HTTP_POST_VARS['blackout_end']['Hour'] . ':' . $HTTP_POST_VARS['blackout_end']['Minute'] . ':00';
+        $blackout_start = $_POST['blackout_start']['Hour'] . ':' . $_POST['blackout_start']['Minute'] . ':00';
+        $blackout_end = $_POST['blackout_end']['Hour'] . ':' . $_POST['blackout_end']['Minute'] . ':00';
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_round_robin
                  SET
-                    prr_prj_id=" . Misc::escapeInteger($HTTP_POST_VARS["project"]) . ",
+                    prr_prj_id=" . Misc::escapeInteger($_POST["project"]) . ",
                     prr_blackout_start='" . Misc::escapeString($blackout_start) . "',
                     prr_blackout_end='" . Misc::escapeString($blackout_end) . "'
                  WHERE
-                    prr_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    prr_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
             // remove all of the associations with users, then add them all again
-            Round_Robin::removeUserAssociations($HTTP_POST_VARS['id']);
-            foreach ($HTTP_POST_VARS['users'] as $usr_id) {
-                Round_Robin::addUserAssociation($HTTP_POST_VARS['id'], $usr_id);
+            Round_Robin::removeUserAssociations($_POST['id']);
+            foreach ($_POST['users'] as $usr_id) {
+                Round_Robin::addUserAssociation($_POST['id'], $usr_id);
             }
             return 1;
         }
@@ -530,9 +526,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_round_robin
                  WHERE
@@ -542,7 +536,7 @@
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
         } else {
-            Round_Robin::removeUserAssociations($HTTP_POST_VARS['items']);
+            Round_Robin::removeUserAssociations($_POST['items']);
             return true;
         }
     }
@@ -552,4 +546,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Round_Robin Class');
 }
-?>
\ No newline at end of file
+?>
